%define module GD

Summary:	A perl5 interface to Thomas Boutell's gd library
Name:		perl-GD
Version:	1.32
Release:	2mdk

Source0:	%{module}-%{version}.tar.bz2
Patch0:		%{module}-%{version}-Makefile.patch.bz2

Url:		http://www.cpan.org/
License:	Distributable
Group:		Development/Perl
BuildRequires:	gd-devel libpng-devel zlib-devel freetype-devel libjpeg-devel xpm
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	perl >= 5.004


%description
GD.pm is a autoloadable interface module for libgd, a popular library
for creating and manipulating PNG files.  With this library you can
create PNG images on the fly or modify existing files.  Features
include:

a.  lines, polygons, rectangles and arcs, both filled and unfilled
b.  flood fills
c.  the use of arbitrary images as brushes and as tiled fill patterns
d.  line styling (dashed lines and the like)
e.  horizontal and vertical text rendering
f.  support for transparency and interlacing


%prep

%setup -q -n %{module}-%{version}
%patch0 -p0


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL


%make


%clean 
rm -rf $RPM_BUILD_ROOT


%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install


%files
%defattr(-,root,root)
%doc ChangeLog MANIFEST README README.QUICKDRAW README.unix
%{_libdir}/perl5/site_perl/5.6.0/%_arch-linux/*.pm
%{_libdir}/perl5/site_perl/5.6.0/%_arch-linux/*.pl
%{_libdir}/perl5/site_perl/5.6.0/%_arch-linux/auto/%{module}
%{_libdir}/perl5/man/man3/%{module}*


%changelog
* Sun Apr 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.32-2mdk
- Allow build on non %%ix86 architecture

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.32-1mdk
- used srpm from Don Head <donhead@linux-certified.org> 
	- First Mandrake RPM
